Subject: Re: [PATCH V4 3/3] powerpc/fsl-pci: Unify pci/pcie initialization code

From: Scott Wood <[email-masked]>
Date: Fri, 3 Aug 2012 11:09:32 -0500

On 08/02/2012 09:20 PM, Jia Hongtao-B38951 wrote:
> 
> 
>> -----Original Message-----
>> From: Wood Scott-B07421
>> Sent: Friday, August 03, 2012 4:19 AM
>> To: Jia Hongtao-B38951
>> Cc: [email-masked]; [email-masked]; Wood Scott-
>> B07421; Li Yang-R58472
>> Subject: Re: [PATCH V4 3/3] powerpc/fsl-pci: Unify pci/pcie
>> initialization code
>>
>> Why are you eliminating the uli lookup?  We don't want to call
>> uli_exclude_device on boards that don't have a uli.
>>
>> -Scott
> 
> I found out that all 85xx_ds boards (mpc8572ds, mpc8544ds, p2020ds) have
> ULI.

Perhaps all boards currently handled by this file do, but it's not true
for all mpc85xx_ds boards.  I think we could handle mpc8536ds here if we
didn't hardcode the uli assumption.  Not critical, but would be nice to
make this more device tree driven.

p1022ds OTOH is weird enough that it deserves its own board file.

> Also in platform driver fsl_pci_primary is determined at arch_initcall
> which means at the stage of board_setup_arch fsl_pci_primary is not ready.

You could export the primary detection function so that boards can call
it early if they want.

-Scott